LIBTOOLIZE(1)

NAME
libtoolize - add libtool support to your package

SYNOPSIS
libtoolize [OPTION]...

DESCRIPTION
The `libtoolize' program provides a standard way to add libtool support to your package. In the future, it may implement better usage checking, or other features to make libtool even easier to use.

OPTIONS
libtoolize accepts the following options:

--automake
    Work silently, and assume that Automake libtool support is used. `libtoolize --automake' is used by Automake to add libtool files to your package, when `AC_PROG_LIBTOOL' appears in your `configure.in'.

--copy, -c
    Copy files from the libtool data directory rather than creating symlinks.

--dry-run, -n
    Don't run any commands that modify the file system, just print them out.

--force, -f
    Replace existing libtool files. By default, `libtoolize' won't overwrite existing files.

--help
    Display a help message and exit.

--ltdl
    Install libltdl in a subdirectory of your package.

--ltdl-tar
    Add the file `libltdl.tar.gz' to your package.

--version
    Print `libtoolize' version information and exit. If `libtoolize' detects an explicit call to `AC_CONFIG_AUX_DIR' in your `configure.in', it will put the files in the specified directory. `libtoolize' displays hints for adding libtool support to your package, as well.

SEE ALSO
libtool(1), automake(1)
`libtool', `libtoolize' and `automake' are fully documented via the Info system.

AUTHOR
This manual page was written by Frederic Lepied <Lepied@debian.org>, for the Debian GNU/Linux system (but may be used by others). It was updated by Ossama Othman <ossama@debian.org>.